### Method

# Gtk Widgetget_primary_clipboard

#### Declaration [src]

    GdkClipboard*
    gtk_widget_get_primary_clipboard (
      GtkWidget* widget
    )

#### Description [src]

Gets the primary clipboard of `widget`.

This is a utility function to get the primary clipboard object for the `GdkDisplay` that `widget` is using.

Note that this function always works, even when `widget` is not realized yet.

#### Return value

Type: `GdkClipboard`

The appropriate clipboard object.

The data is owned by the instance.